Subject: Re: bug#42834: 28.0.50; macOS scroll and movement latency slows when display changes

From: Doug Davis <[email-masked]>
Date: Wed, 12 Aug 2020 17:48:47 -0400

Hi Alan,

Alan Third writes:

> On Wed, Aug 12, 2020 at 02:48:08PM -0400, Doug Davis wrote:
>> I'm observing this behavior on a MacBook Pro running macOS 10.15
>>
>> initial condition: laptop is closed and plugged into an external display
>> over thunderbolt; I start and use Emacs with expected performance. After
>> unplugging the external display and opening the laptop to use by itself,
>> Emacs (which was already running) cursor movement and scrolling latency
>> shoots up (Emacs is just very "sluggish"). If I restart Emacs everything
>> goes back to normal. I'm observing the same behavior with 'emacs -Q'. I
>> don't see the same behavior from Emacs 27.1.
>
> Hi, Thanks for your report, I haven't seen this myself.
>
> Do you see the same thing going the other way? (laptop screen -> monitor)

Ah yes, forgot to mention that- seeing it both ways.

> Is your monitor a retina screen?

Yeah the MacBook is retina and the external display is 4k.

> NS xwidgets were just added today, did you see this before? (or have
> you just tried Emacs 28 for the first time today?)

After seeing the new xwidgets patches that went in today I recompiled
the master branch to experiment a bit, but I first hit this issue a
couple of months ago when I first experimented with Emacs 28- I should
have reported the bug earlier, sorry about that (xwidgets actually
brought me back to playing with 28 after staying with 27 recently).

Cheers,
Doug